﻿body {
    font-family: 'Roboto', sans-serif;
    margin: 0;
    padding: 0;
    background: none;
    min-height: 100vh;
}


.bg-video {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    overflow: hidden;
    z-index: -2;
}

    .bg-video video {
        width: 100%;
        height: 100%;
        object-fit: cover;
    }

.bg-overlay {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: linear-gradient( to bottom, rgba(0,0,0,0.45), rgba(0,0,0,0.65) );
    z-index: -1;
}


.flight-card {
    max-width: 1150px;
    margin: 70px auto;
    background: rgb(170 182 191 / 30%);
    border-radius: 16px;
    padding: 30px 35px;
    box-shadow: 0 20px 40px rgb(120 116 115);
    border: 1px solid #f7f7f7;
    border-radius: 8px;
}

.tabs-container {
    display: flex;
    justify-content: center;
    gap: 12px;
    margin-bottom: 22px;
}

.tab {
    padding: 7px 20px;
    font-size: 14px;
    border-radius: 20px;
    border: 1px solid #ddd;
    cursor: pointer;
    background: #f8f9fa;
    transition: .25s;
}

    .tab.active {
        background: linear-gradient(135deg, #007bff, #00b4ff);
        color: white;
        border: none;
    }

.flight-form {
    display: grid;
    grid-template-columns: repeat(6, 1fr);
    gap: 14px;
    align-items: end;
}

    .flight-form label {
        font-size: 13px;
        font-weight: 500;
        margin-bottom: 6px;
        color: #FFF;
    }

    .flight-form input, .flight-form select {
        width: 100%;
        padding: 10px 12px;
        border-radius: 8px;
        border: 1px solid #ddd;
        font-size: 14px;
        box-shadow: 0px 1px 9px 1px #a12759a6;
        transition: .2s;
    }

        .flight-form input:focus,
        .flight-form select:focus {
            border-color: #007bff;
            box-shadow: 0 0 0 2px rgba(0,123,255,.15);
            outline: none;
        }

.search-btn {
    padding: 11px 20px;
    border-radius: 30px;
    border: none;
    font-size: 15px;
    font-weight: 600;
    color: white;
    background: linear-gradient(135deg, #A9134F, #A9134F);
    cursor: pointer;
    transition: .3s;
    width: 100%;
}

    .search-btn:hover {
        transform: translateY(-2px);
        box-shadow: 0 8px 20px rgba(255,122,24,.4);
    }

.suggestions-list {
    list-style: none;
    margin: 0;
    padding: 0;
    border-radius: 8px;
    border: 0px solid #ddd;
    background: white;
    max-height: 220px;
    box-shadow: 2px 3px 10px 1px #A9134F;
    overflow-y: auto;
    position: absolute;
    width: 100%;
    z-index: 1000;
}

    .suggestions-list li {
        padding: 10px;
        font-size: 14px;
        cursor: pointer;
    }

        .suggestions-list li:hover {
            background: #f2f7ff;
        }

.error-box {
    display: none;
    margin-top: 15px;
    padding: 10px 15px;
    border-radius: 8px;
    background: #ffe5e5;
    color: #d8000c;
    font-size: 14px;
    font-weight: 500;
    border: 1px solid #ffb3b3;
    text-align: center;
}

@@media (max-width: 900px) {
    .flight-form {
        grid-template-columns: repeat(2, 1fr);
    }
}

@@media (max-width: 500px) {
    .flight-form {
        grid-template-columns: 1fr;
    }
}

.btn-primary {
    color: #fff;
    background-color: #A9134F !important;
    border-color: #A9134F !important;
}
